Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Printing library for GNOME.
Name:		libgnomeprint
Version:	2.18.6
Release:	2
BuildArch:	i686
License:	GNU/LGPL
URL:		http://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/
Group:		Graphical Desktop/GNOME
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define sover 0
%define gettext_package libgnomeprint-2.2

#Automatically resolved build dependencies
BuildRequires: cups-devel
BuildRequires: e2fsprogs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: krb5-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgnomecups-devel
BuildRequires: libgpg-error-devel
BuildRequires: libtasn1-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel flex

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print package contains
libraries and fonts needed by GNOME applications for printing.

You should install the gnome-print package if you intend to use any of
the GNOME applications that can print. If you would like to develop
GNOME applications that can print you will also need to install the
gnome-print devel package.

%package	devel
Summary: 	Libraries and include files for developing GNOME printing applications
Group: 		Development/Libraries

Requires:	%{name} = %{version}-%{release}

Requires:	glib-devel
Requires:	pango-devel
Requires:	libxml2-devel
Requires:	libart_lgpl-devel
Requires:	libbonobo-devel
Requires:	freetype

%description	devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-print-devel package
includes the libraries and include files needed for developing
applications that use the GNOME printing capabilities.

You should install the gnome-print-devel package if you would like to
develop GNOME applications that will use the GNOME print capabilities.
You do not need to install the gnome-print-devel package if you just
want to use the GNOME desktop environment.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
--disable-gtk-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{gettext_package}

%files -f %{gettext_package}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/lib*.so.%{sover}*
%_libdir/libgnomeprint/
%exclude %_libdir/libgnomeprint/*/modules/*.a
%exclude %_libdir/libgnomeprint/*/modules/*/*.a
%_datadir/libgnomeprint

%files devel
%defattr(-, root, root, 0755)
%_libdir/lib*.so
%exclude %_libdir/*.a
%exclude %_libdir/*.la
%_includedir
%_pkgconfig
%_datadir/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@cux-linux.de> 2.18.6-2
- Gnome 2.28
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.18.6-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.18.4-1
- Version update
* Wed Nov 07 2007 Christian Metzen <metzench@cux-linux.de> 2.18.2-2
- Gnome 2.20.1
* Mon Oct 01 2007 Christian Metzen <metzench@cux-linux.de> 2.18.2-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@cux-linux.de> 2.18.0-1
- Version update
* Sun Nov 05 2006 Christian Metzen <metzench@cux-linux.de> 2.12.1-3
- rebuild, moved prefix
* Sun Mar 06 2006 Christian Wasem <wasem@ccux-linux.de> 2.12.1-2
- added *.so to devel package
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.1-1
- Version Update
* Mon Jul 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.11.0-1
- Initial Release
